package com.bonus.canteen.core.supply.dto;

import io.swagger.annotations.ApiModelProperty;

public class MaterialAndUnitDTO {
   @ApiModelProperty("货品id")
   private Long materialId;
   @ApiModelProperty("单位id")
   private Long unitId;

   public Long getMaterialId() {
      return this.materialId;
   }

   public Long getUnitId() {
      return this.unitId;
   }

   public MaterialAndUnitDTO setMaterialId(final Long materialId) {
      this.materialId = materialId;
      return this;
   }

   public MaterialAndUnitDTO setUnitId(final Long unitId) {
      this.unitId = unitId;
      return this;
   }


   protected boolean canEqual(final Object other) {
      return other instanceof MaterialAndUnitDTO;
   }


   public String toString() {
      Long var10000 = this.getMaterialId();
      return "MaterialAndUnitDTO(materialId=" + var10000 + ", unitId=" + this.getUnitId() + ")";
   }
}
